//
// Entete de la classe MGAxe
//	Il est compose d'un TGComboBox et d'un TGLabel

#ifndef MGAxe_h
#define MGAxe_h

#include "Riostream.h"
#include "TROOT.h"
#include "TGClient.h"
#include "TGComboBox.h"
#include "TGLabel.h"
#include "TCanvas.h"
#include "TGNumberEntry.h"
#include "MCBLabel.h"

class MGAxe : public TGCompositeFrame
{
// Declaration des boutons de la fenetre principale
private:
	MCBLabel	*var;
	TGNumberEntry	*dim;
	TGNumberEntry	*min;
	TGNumberEntry	*max;

public:
	MGAxe(const TGWindow *p);
	~MGAxe();
	
	virtual Bool_t ProcessMessage(Long_t msg, Long_t par1, Long_t par2); 
	
	virtual void Reset(void);
	
	virtual const Char_t *GetVarName(void);
	virtual const Int_t GetDimension(void);
	virtual const Double_t GetMin(void);
	virtual const Double_t GetMax(void);
	virtual void SetVarLabel(const Char_t *vn);
	virtual void SetVarName(const Char_t *vn);
	virtual void SetDimension(Int_t dim);
	virtual void SetMin(Double_t min);
	virtual void SetMax(Double_t max);
	virtual TGComboBox* GetComboBox(void) {return var->Get_TGComboBox();}
	virtual MCBLabel* GetMCBLabel(void) {return var;}

	ClassDef(MGAxe,1)
};

#endif
