//
// Entete de la classe MComboBox
//	Il herite d'un TGComboBox et evite d'ajouter une entree sans nom
//

#ifndef MComboBox_h
#define MComboBox_h

#include "TGClient.h"
#include "TGComboBox.h"
#include "TGTextEntry.h"
#include "TGLabel.h"

class MComboBox : public TGComboBox
{
// Declaration des boutons de la fenetre principale

public:
   	MComboBox(const TGWindow *p = 0, Int_t id = -1,
              UInt_t options = kHorizontalFrame | kSunkenFrame | kDoubleBorder,
              Pixel_t back = GetWhitePixel());
   	MComboBox(const TGWindow *p, const char *text, Int_t id = -1,
              UInt_t options = kHorizontalFrame | kSunkenFrame | kDoubleBorder,
              Pixel_t back = GetWhitePixel());
   	virtual ~MComboBox();
	
   	virtual void ReturnPressed(); // *SIGNAL*
		
	ClassDef(MComboBox,1)
};

#endif
